Home//
REST API Reference
/- Detach a contact from a company
Create or Update a company
Retrieve companies
Retrieve a company by ID
Update a company
Delete a company
List attached contacts
List attached segments for companies
List all company notes
Create a company note
List all companies
Scroll over all companies
Attach a Contact to a Company
List attached companies for contact
Company
Detach a contact from a c...
You can detach a company from a single contact.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/contacts/{contact_id}/companies/{company_id}
- The european API serverhttps://api.eu.intercom.io/contacts/{contact_id}/companies/{company_id}
- The australian API serverhttps://api.au.intercom.io/contacts/{contact_id}/companies/{company_id}
curl -i -X DELETE \
https://api.intercom.io/contacts/58a430d35458202d41b1e65b/companies/58a430d35458202d41b1e65b \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Successful
The Intercom defined code of the workspace the company is associated to.
Example:"ecahpwf5"
The custom attributes you have set on the company.
Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
Response
{ "type": "company", "company_id": "1", "id": "6762f0a01bb69f9f2193bb44", "app_id": "this_is_an_id205_that_should_be_at_least_", "name": "company8", "remote_created_at": 1734537376, "created_at": 1734537376, "updated_at": 1734537377, "monthly_spend": 0, "session_count": 0, "user_count": 0, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "plan": {}, "custom_attributes": {} }